Enum Success Code
Generated from cargo doc --no-deps -p nemo-relay -p nemo-relay-adaptive -p nemo-relay-pii-redaction -p nemo-relay-ffi -p nemo-relay-types -p nemo-relay-plugin -p nemo-relay-worker-proto -p nemo-relay-worker.
Explicit successful operations; successes do not recover or clear failures.
Variants (Non-exhaustive)
PluginNativeLoaded
PluginNativeLoaded
Observation identified by plugin.native.loaded.
PluginNativeValidated
PluginNativeValidated
Observation identified by plugin.native.validated.
PluginNativeRegistered
PluginNativeRegistered
Observation identified by plugin.native.registered.
PluginWorkerStarted
PluginWorkerStarted
Observation identified by plugin.worker.started.
PluginWorkerHandshakeCompleted
PluginWorkerHandshakeCompleted
Observation identified by plugin.worker.handshake_completed.
PluginWorkerValidated
PluginWorkerValidated
Observation identified by plugin.worker.validated.
PluginWorkerRegistered
PluginWorkerRegistered
Observation identified by plugin.worker.registered.
PluginWorkerProcessCleaned
PluginWorkerProcessCleaned
Observation identified by plugin.worker.process_cleaned.
CliUpstreamHeadersReceived
CliUpstreamHeadersReceived
An upstream transport returned headers, independently of provider status.
CliUpstreamBodyCompleted
CliUpstreamBodyCompleted
An upstream response body was fully read, independently of provider status.
CliChildCleaned
CliChildCleaned
A supervised child tree was cleaned up.
CliCommandCompleted
CliCommandCompleted
Observation identified by cli.command_completed.
CliGatewayBound
CliGatewayBound
Observation identified by cli.gateway.bound.
CliGatewayStopped
CliGatewayStopped
Observation identified by cli.gateway.stopped.
CliAcquired
CliAcquired
Observation identified by cli.acquired.
CliChildSpawned
CliChildSpawned
Observation identified by cli.child.spawned.
CliChildWaited
CliChildWaited
Observation identified by cli.child.waited.
CliHookForwarded
CliHookForwarded
Observation identified by cli.hook.forwarded.
LoggingInitialized
LoggingInitialized
Observation identified by logging.initialized.
LoggingShutdownCompleted
LoggingShutdownCompleted
Observation identified by logging.shutdown_completed.
SinkInitialized
SinkInitialized
Observation identified by logging.sink.initialized.
Implementations
impl SuccessCode
impl SuccessCode
canonical_name
pub const fn canonical_name(self) -> &'static str
Stable catalogue name.
Trait Implementations
impl Clone for SuccessCode
impl Clone for SuccessCode
clone
fn clone(&self) -> SuccessCode
clone_from
fn clone_from(&mut self, source: &Self)
impl Debug for SuccessCode
impl Debug for SuccessCode
fmt
fn fmt(&self, f: &mut Formatter<'_>) -> Result<(), Error>
impl<'de> Deserialize<'de> for SuccessCode
impl<'de> Deserialize<'de> for SuccessCode
deserialize
fn deserialize<__D>(
__deserializer: __D,
) -> Result<SuccessCode, <__D as Deserializer<'de>>::Error>where
__D: Deserializer<'de>,
impl Hash for SuccessCode
impl Hash for SuccessCode
hash
fn hash<__H>(&self, state: &mut __H)where
__H: Hasher,
hash_slice
fn hash_slice<H>(data: &[Self], state: &mut H)where
H: Hasher,
Self: Sized,
impl Ord for SuccessCode
impl Ord for SuccessCode
cmp
fn cmp(&self, other: &SuccessCode) -> Ordering
max
fn max(self, other: Self) -> Selfwhere
Self: Sized,
min
fn min(self, other: Self) -> Selfwhere
Self: Sized,
clamp
fn clamp(self, min: Self, max: Self) -> Selfwhere
Self: Sized,
impl PartialEq for SuccessCode
impl PartialEq for SuccessCode
eq
fn eq(&self, other: &SuccessCode) -> bool
ne
fn ne(&self, other: &Rhs) -> bool
impl PartialOrd for SuccessCode
impl PartialOrd for SuccessCode
partial_cmp
fn partial_cmp(&self, other: &SuccessCode) -> Option<Ordering>
lt
fn lt(&self, other: &Rhs) -> bool
le
fn le(&self, other: &Rhs) -> bool
gt
fn gt(&self, other: &Rhs) -> bool
ge
fn ge(&self, other: &Rhs) -> bool
impl Serialize for SuccessCode
impl Serialize for SuccessCode
serialize
fn serialize<__S>(
&self,
__serializer: __S,
) -> Result<<__S as Serializer>::Ok, <__S as Serializer>::Error>where
__S: Serializer,
impl Copy for SuccessCode
impl Copy for SuccessCode
impl Eq for SuccessCode
impl Eq for SuccessCode
impl StructuralPartialEq for SuccessCode
impl StructuralPartialEq for SuccessCode